# &AceCfg&
# Configuration File for AcEdit (ace)
# ------------------------------------------------------------
# Height of window in rows:
# Minimum: 27 rows
# Maximum: "full" indicating full height of terminal window
# Default: full height of terminal window
Height = 

# Width of window in columns:
# Minimum: 86 columns
# Maximum: "full" indicating full width of terminal window
# Default: 96 columns (or full width of termial, whichever is less)
Width = 

# Vertical offset in rows:
# Minimum: 0 rows
# Maximum: height of terminal window _minus_ height of editor window
# Special: -1 indicates editor window to be placed at bottom edge of terminal window
# Default: 0 (zero, top edge of terminal window)
VOffset = 

# Horizontal offset in columns:
# Minimum: 0 columns (left edge)
# Maximum: width of terminal window _minus_ width of editor window
# Special: -1 indicates editor window to be placed at right edge of terminal window
# Special: -2 indicates editor window to be centered horizontally in terminal window
# Default: 0 (zero, left edge of terminal window)
HOffset = 

# Border style (line type):
# Options: "Single" or "Dual"
# Default: Single
BStyle = 

# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
# Specifying Color Attributes:
# For examples, please refer to the AnsiCmd library tests embedded 
# within the EarthPoints demonstration application:
# For color test menu, invoke: ./epts --test=C
# 
#            4-bit palette:    8-bit palette:  24-bit RGB palette:
#  Color:   Basic:   Bright:
#  -------- ------   -------   --------------  --------------------------
#  black      f00     f08                       r00
#  red        f01     f09                       r01  - r36  red group
#  green      f02     f10       e16             r37  - r72  green group
#  blue       f03     f11         through       r73  - r108 blue group
#  brown      f04     f12               e231    r109 - r144 brown group
#  magenta    f05     f13                       r145 - r180 magenta group
#  cyan       f06     f14                       r181 - r216 cyan group
#  grey       f07     f15                       r217 - r252 grey group
# 
#  terminal default foreground or background: f16
#
# Examples: f12:f03    e18:e201    r00:r188    f16:e35     e46:r180
# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -

# Border color: foreground:background
# Default : f15:f03
#BColor = f02:f14

# Text color: foreground:background
# Default : f00:f15
TColor = f00:f06

# Highlight (current line) foreground:background
#HColor = r04:f12

# Dialog (sub-window) color: foreground:background
# Default: f00:e21
#DColor = f04:f02

# Menu color: foreground:background
# Default : f12:f11
#MColor = f05:e17

# Auxilliary color: foreground:background
# This includes both the gutter line and the line number field.
# Default : f00:f15
#AColor = f06:r10

# Window (terminal window): foreground:background
#WColor = f16:f16

# Tab Width:
# Tab emulation: Number of columns (space characters) assigned to the TAB key.
# The ASCII TAB control code '\t' (09h) is not supported.
# Range: 0 <= TabCols <= 8  Default:3
TabCols = 

# System Clipboard Access
# Default : true
ClipBrd = 

# Find-substring dialog: Case sensitive search:
# true: case sensitive, false: case insensitive (default)
FindCase = 

# Find-substring dialog: Enable Auto-wrap to next line:
# true: enabled, false: disabled (default)
FindAWrap = 

# Find-substring dialog: Enable 'regular-expression' search:
# true: enabled, false: disabled (default)
FindRegexp = 

# ============================================================
&AceProg&
# Caution: Data below this point is programatically generated.
# Do not modify!
# ============================================================
# Key Map: Keycode bindings for shortcut keys.
# Note: Each record contains two data lines:
# 1) A comment describing the key function and default value.
# 2) A token identifying the key and its current hex value.
# ------------------------------------------------------------
# Find default: Ctrl+F (wcsCTL_F == 0x002240)
Key_Find = 002240
# FindNext default: Ctrl+G (wcsCTL_G == 0x002241)
Key_FindNext = 002241
# FindPrev default: Ctrl+R (wcsCTL_R == 0x00224C)
Key_FindPrev = 00224C
# Go-to-line default: Ctrl+L (wcsCTL_L == 0x002246)
Key_GotoLine = 002246
# Key_ShiftUp default: Alt+/ (wcsALT_FS == 0x002283)
Key_ShiftUp = 002283
# Key_ShiftDown default: Alt+' (wcsALT_SQ == 0x00227E)
Key_ShiftDown = 00227E
# PairMatch default: Alt+] (wcsALT_RS == 0x00228C) (Right Square Bracket)
Key_PairMatch = 00228C
# TagMatch default: Alt+[ (wcsALT_LS == 0x00228A) (Left Square Bracket)
Key_TagMatch = 00228A
# MenuBar default: F01 (wcsF01 == 0x002000)
Key_MenuBar = 002200
# NextField default: Alt+PgDown (wcsAPGDN == 0x219F)
Key_NextField = 00219F
# PrevField default: Alt+PgUp (wcsAPGUP == 0x219E)
Key_PrevField = 00219E
# NextBuffer default: Ctrl+Alt+PgDown (wcsCAPGDN == 0x2234)
Key_NextBuffer = 002234
# PrevBuffer default: Ctrl+Alt+PgUp (wcsCAPGUP == 0x2233)
Key_PrevBuffer = 002233
# BufferList default: Alt+B (wcsALT_B == 0x225A) (case insensitive)
Key_BufferList = 00225A
# OpenFile default: Ctrl+O (wcsCTL_O == 0x2249)
Key_OpenFile = 002249
# NewFile default: Ctrl+N (wcsCTL_N == 0x2248)
Key_NewFile = 002248
# Macro default: Alt+M (wcsALT_M == 0x2265)
Key_Macro = 002265
# Go to Field (single field) default: Alt+1 (wcsALT_1)
Key_FieldSingle = 002274
# Go to Field (dual horizontal fields) default: Alt+2 (wcsALT_2)
Key_FieldDualH = 002275
# Go to Field (dual vertical fields) default: Alt+3 (wcsALT_3)
Key_FieldDualV = 002276

# Previously Open Files
# Note: Each record contains two data lines:
# 1) Full filespec (home directory replaced by '~').
#    (Note that as distributed, the stored paths for the test files are )
#    (relative to the source directory because the full path is unknown.)
# 2) Stat data:
#    a) token identifying the stat record
#    b) 'vtop' : line number of top visible data line in edit window
#    c) 'voff' : offset from 'vtop' to line containing IP
#    d) 'etime': timestamp when file was last saved
#    e) 'open' : set if file was open when previous session ended
# ------------------------------------------------------------------
./1_TestData/Welcome1.txt
--& 0, 2, 68F402C1, 1
./1_TestData/TestFile.cpp
--& 27,  5, 695EAAA6, 0
./1_TestData/LoremIpsum.txt
--& 0, 0, 6984CEA0, 0
./1_TestData/unicorny.txt
--& 0, 2, 69CE7A3C, 0

# -----------------------------------------------------#
# Development Only, some files not included in distro: #
# -----------------------------------------------------#
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/TestFile.cpp
#--& 27,  5, 695EAAA6, 1
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/Welcome_To_AcEdit.txt
#--& 0, 2, 68F402C1, 1
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/unicorny.txt
#--& 0, 2, 69CE7A3C, 1
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/test02.txt
#--& 0, 8, 68E26E0B, 0
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/GlobalDef.hpp
#--& 0, 38, 631E16DE, 0
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/alt.cfg
#--& 0, 28, 631E0000, 0
# This link causes a duplication of files.
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/test01.lnk
#--& 0, 12, 64EF254F, 1
# This is not a "regular" filetype (fifo) and timestamp is incorrect.
#~/Documents/SoftwareDesign/AnsiCmd/AcEdit/1_TestData/test01.fifo
#--& 46, 66, 5E494B20, 1

